org.apache.datasketches.tuple

## Enum SerializerDeserializer.SketchType

- java.lang.Object
- - java.lang.Enum<SerializerDeserializer.SketchType>
  - - org.apache.datasketches.tuple.SerializerDeserializer.SketchType

All Implemented Interfaces:
  Serializable, Comparable<SerializerDeserializer.SketchType>

Enclosing class:
  SerializerDeserializer

    public static enum SerializerDeserializer.SketchType
    extends Enum<SerializerDeserializer.SketchType>

Defines the sketch classes that this SerializerDeserializer can handle.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ArrayOfDoublesCompactSketch`
`ArrayOfDoublesQuickSelectSketch`
`ArrayOfDoublesUnion`
`CompactSketch`
`QuickSelectSketch`

### Method Summary

All Methods Static Methods Concrete Methods
`static SerializerDeserializer.SketchType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SerializerDeserializer.SketchType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### QuickSelectSketch

    public static final SerializerDeserializer.SketchType QuickSelectSketch

#### CompactSketch

    public static final SerializerDeserializer.SketchType CompactSketch

#### ArrayOfDoublesQuickSelectSketch

    public static final SerializerDeserializer.SketchType ArrayOfDoublesQuickSelectSketch

#### ArrayOfDoublesCompactSketch

    public static final SerializerDeserializer.SketchType ArrayOfDoublesCompactSketch

#### ArrayOfDoublesUnion

    public static final SerializerDeserializer.SketchType ArrayOfDoublesUnion

### Method Detail

#### values

    public static SerializerDeserializer.SketchType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SerializerDeserializer.SketchType c : SerializerDeserializer.SketchType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SerializerDeserializer.SketchType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null